Package org.silverpeas.mobile.server.servlets

## Class PublicationContentServlet

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - org.silverpeas.mobile.server.servlets.AbstractSilverpeasMobileServlet
      - - org.silverpeas.mobile.server.servlets.PublicationContentServlet

- All Implemented Interfaces:
    `Serializable`, `javax.servlet.Servlet`, `javax.servlet.ServletConfig`

      public class PublicationContentServlet
      extends AbstractSilverpeasMobileServlet

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `MAINSESSIONCONTROLLER_ATTRIBUT_NAME` |
    `static String` | `USERKEY_ATTRIBUT_NAME` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PublicationContentServlet()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `doGet​(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` |
    `protected org.silverpeas.core.web.mvc.controller.MainSessionController` | `getMainSessionController​(javax.servlet.http.HttpServletRequest request)` |
    `protected String` | `getUserKeyInSession​(javax.servlet.http.HttpServletRequest request)` |
    `boolean` | `isXMLTemplateUsed​(javax.servlet.http.HttpServletRequest request, String instanceId)` |
    `protected void` | `processRequest​(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` |

    - ### Methods inherited from class org.silverpeas.mobile.server.servlets.AbstractSilverpeasMobileServlet

      `checkUserInSession, getSettings, getUserInSession`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MAINSESSIONCONTROLLER_ATTRIBUT_NAME

          public static final String MAINSESSIONCONTROLLER_ATTRIBUT_NAME

      See Also:
        Constant Field Values

    - #### USERKEY_ATTRIBUT_NAME

          public static final String USERKEY_ATTRIBUT_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PublicationContentServlet

          public PublicationContentServlet()

  - ### Method Detail

    - #### processRequest

          protected void processRequest​(javax.servlet.http.HttpServletRequest request,
                                        javax.servlet.http.HttpServletResponse response)
                                 throws Exception

      Throws:
        `Exception`

    - #### doGet

          protected void doGet​(javax.servlet.http.HttpServletRequest request,
                               javax.servlet.http.HttpServletResponse response)
                        throws javax.servlet.ServletException,
                               IOException

      Overrides:
        `doGet` in class `javax.servlet.http.HttpServlet`
      Throws:
        `javax.servlet.ServletException`
        `IOException`

    - #### isXMLTemplateUsed

          public boolean isXMLTemplateUsed​(javax.servlet.http.HttpServletRequest request,
                                           String instanceId)
                                    throws Exception

      Throws:
        `Exception`

    - #### getMainSessionController

          protected org.silverpeas.core.web.mvc.controller.MainSessionController getMainSessionController​(javax.servlet.http.HttpServletRequest request)
                                                                                                   throws Exception

      Overrides:
        `getMainSessionController` in class `AbstractSilverpeasMobileServlet`
      Throws:
        `Exception`

    - #### getUserKeyInSession

          protected String getUserKeyInSession​(javax.servlet.http.HttpServletRequest request)